package com.javacodegeeks.snippets.core;

public class CalculateAbsoluteValue {

    public static void main(String[] args) {

        int i = 5;
        int j = -3;

        // absolute value of integer using Math.abs
        System.out.println("Absolute value of " + i + " is: " + Math.abs(i));
        System.out.println("Absolute value of " + j + " is: " + Math.abs(j));
        // absolute value of integer using custom abs method
        System.out.println("Absolute value of " + i + " is: " + abs(i));
        System.out.println("Absolute value of " + j + " is: " + abs(j));

        float f1 = 44.21f;
        float f2 = -25.89f;

        // absolute value of float using Math.abs
        System.out.println("Absolute value of " + f1 + " is: " + Math.abs(f1));
        System.out.println("Absolute value of " + f2 + " is: " + Math.abs(f2));
        // absolute value of float using custom abs method
        System.out.println("Absolute value of " + f1 + " is: " + abs(f1));
        System.out.println("Absolute value of " + f2 + " is: " + abs(f2));

        double d1 = 15.246;
        double d2 = -985.33;

        // absolute value of double using Math.abs
        System.out.println("Absolute value of " + d1 + " is: " + Math.abs(d1));
        System.out.println("Absolute value of " + d2 + " is: " + Math.abs(d2));
        // absolute value of double using custom abs method
        System.out.println("Absolute value of " + d1 + " is: " +abs(d1));
        System.out.println("Absolute value of " + d2 + " is: " +abs(d2));

        long l1 = 3344L;
        long l2 = -13349L;

        // absolute value of long using Math.abs
        System.out.println("Absolute value of " + l1 + " is: " + Math.abs(l1));
        System.out.println("Absolute value of " + l2 + " is: " + Math.abs(l2));
        // absolute value of long using custom abs method
        System.out.println("Absolute value of " + l1 + " is: " + abs(l1));
        System.out.println("Absolute value of " + l2 + " is: " + abs(l2));


    }

    private static int abs(int x){
        if(x>=0){
            return x;
        }
        else {
            return -x;
        }
    }

    private static float abs(float x){
        if(x>=0){
            return x;
        }
        else {
            return -x;
        }
    }

    private static double abs(double x){
        if(x>=0){
            return x;
        }
        else {
            return -x;
        }
    }

    private static long abs(long x){
        if(x>=0){
            return x;
        }
        else {
            return -x;
        }
    }

}
